Get a credit transfer
curl --request GET \
--url https://api-sandbox.circle.com/v1/managedPayments/credit/lines/{lineId}/transfers/{transferId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/managedPayments/credit/lines/{lineId}/transfers/{transferId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/managedPayments/credit/lines/{lineId}/transfers/{transferId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "d01a4466-2ecf-40f9-972f-a5aea5ce3891",
"amount": {
"amount": "1000.00",
"currency": "USD"
},
"status": "disbursed",
"outstanding": {
"amount": "150.00",
"currency": "USD"
},
"disbursedDate": "2024-08-16T16:40:06.672841Z",
"dueDate": "2024-08-26T16:40:06.672841Z",
"createDate": "2024-08-16T16:40:06.672841Z",
"updateDate": "2024-08-16T16:40:06.672841Z"
}
}Get a credit transfer
Returns detailed information about a specific credit transfer.
Fields outstanding, dueDate, and disbursedDate are present when the transfer status is disbursed, paid, or past_due. Field paidDate is present only when status is paid.
GET
/
v1
/
managedPayments
/
credit
/
lines
/
{lineId}
/
transfers
/
{transferId}
Get a credit transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of the credit line.
Example:
"01c39206-64e9-4e30-8649-4e187cfcbf6d"
Universally unique identifier (UUID v4) of the credit transfer.
Example:
"2cbbce57-17b2-4133-8f63-3f2d81fc3332"
Response
Successfully retrieved a credit transfer.
A Managed Payments credit transfer (drawdown) from the credit line.
Show child attributes
Show child attributes
Was this page helpful?
⌘I